<template>
    <div>
        Friends page
    </div>
    <div>
        <button @click="onAdd">Add friend</button>
    </div>

    <div>
        <div v-for="friend in friendsList" :key="friend.id">
            <div>
                <h1>{{ friend.name }}</h1>
                <button class="item" @click="onMove(friend.id)">View info</button>
                <button @click="onDelete">Delete</button>
            </div>
        </div>
    </div>

    <div>Search by name(filter)
        <input type="text" name="filter">
        <button @click="filtered">Filter</button>
        <div>
            <div v-for="friend in filtered" :key="friend.id">
                <div>
                    <h1>{{ friend.name }}</h1>
                    <button class="item" @click="onMove(friend.id)">View info</button>
                    <button @click="onDelete">Delete</button>
                </div>
            </div>
        </div>
    </div>
</template>

<script>

export default {
    name: 'FriendsPage',
    data() {
        return {
            friendsList: [
                {
                    id: 1,
                    name: "John Doe",
                    birthYear: "1990",
                    phone: "226644",
                    mobilePhone: "380509996677"
                },
                {
                    id: 2,
                    name: "Peter James",
                    birthYear: "1970",
                    phone: "664422",
                    mobilePhone: "380508883322"
                }
            ]
        }
    },
    methods: {
        onMove(userId) {
            this.$router.push({ name: 'one-of-friends', params: { id: userId } })
        },
        onAdd() {
            this.$router.push({ name: 'add-friends' })
        },
        onDelete() {
            const index = this.friendsList.findIndex((friend) => friend.id == this.userId);

            if (index !== -1) {
                return this.friendsList.splice(index, 1);
            }
        },
        filtered() {
            return this.friendsList.filter(friend => friend.name.toLowerCase == this.filter)
        }
    },

}
</script>

<style lang="css" scoped>
.item {
    cursor: pointer;
}
</style>